<?php
	header('Content-type: application/xml');

	require_once "../../core.php";
?>
<urlset xmlns="http://www.sitemaps.org/schemas/sitemap/0.9" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.sitemaps.org/schemas/sitemap/0.9 http://www.sitemaps.org/schemas/sitemap/0.9/sitemap.xsd">
	<url>
		<loc>https://sandros.hu/</loc>
		<changefreq>monthly</changefreq>
	</url>
<?php
	$blog = new blog(null, null, true);
	if ($blog->entries)
		while ($data = $blog->entries())
			echo "\t<url>\n\t\t<loc>".$_set['url'].get_entry_link($data['entrySlug'])."</loc>\n\t\t<changefreq>monthly</changefreq>\n\t</url>";

	$nav = get_navigation(null, true);
	foreach ($nav AS $index => $n)
		echo "\t<url>\n\t\t<loc>".$_set['url'].$n['link']."</loc>\n\t\t<changefreq>monthly</changefreq>\n\t</url>";
?>
</urlset>